import service from '@/utils/request'
// 查询需要审批的列表
export const getExamineList = (data) => {
    return service({
        url: '/projectProcess/queryProjectProcessList',
        method: 'POST',
        data
    })
}

// 按id查询项目流程
export const getProjectProcessId = (id) => {
    return service({
        url: '/projectProcess/queryProjectProcessById?id=' + id,
        method: 'GET'
    })
}
// 审批
export const processApproval = (data) => {
    return service({
        url: '/description/processOperate',
        method: 'POST',
        data
    })
}

// 查询发起人申请列表
export const getApplyList = (data) => {
    return service({
        url: '/projectProcess/queryProjectApplicantList',
        method: 'POST',
        data
    })
}

// 补充完毕
export const supplyFinish = (id) => {
    return service({
        url: '/projectProcess/replenished?id=' + id,
        method: 'GET'
    })
}
