import service from '@/utils/request'

// 查询费用列表
export const queryCostList = (data) => {
    return service({
        url: '/expenses/queryExpensesList',
        method: 'post',
        data: data
    })
}

// 查询费用类型
export const queryExpensesGenre = () => {
    return service({
        url: '/finance/queryExpensesGenre',
        method: 'get'
    })
}

// 查询费用按人
export const peopleCost = (data) => {
    return service({
        url: '/expenses/queryExpensesSumByPeople',
        method: 'post',
        data: data
    })
}

// 查询部门费用
export const queryMonthExpenses = (parms) => {
    return service({
        url: '/expenses/queryMonthExpenses',
        params: parms,
        method: 'get',
    })
}
// export const queryMonthExpenses = (month, year, genre) => {
//     return service({
//         url: '/expenses/queryMonthExpenses?monthTime=' + month + '&yearTime=' + year + '&genre=' + genre,
//         method: 'get',
//     })
// }
