import service from "../utils/request.js";

// 验证码
export const captcha = () => {
    return service({
        url: '/base/captcha',
        method: 'post'
    })
}

// 登录
export const register = (data) => {
    return service({
        url: '/base/login',
        method: 'post',
        data
    })
}

// 返回公钥
export const routerPublicKey = () => {
    return service({
        url: '/base/routerPublicKey',
        method: 'get'
    })
}
